Package org.apache.ignite.internal.pagemem.wal.record

## Interface WalRecordCacheGroupAware

All Known Implementing Classes:
  `DataPageInsertFragmentRecord`, `DataPageInsertRecord`, `DataPageRemoveRecord`, `DataPageSetFreeListPageRecord`, `DataPageUpdateRecord`, `EncryptedRecord`, `FixCountRecord`, `FixLeftmostChildRecord`, `FixRemoveId`, `InitNewPageRecord`, `InnerReplaceRecord`, `InsertRecord`, `MergeRecord`, `MetaPageAddRootRecord`, `MetaPageCutRootRecord`, `MetaPageInitRecord`, `MetaPageInitRootInlineFlagsCreatedVersionRecord`, `MetaPageInitRootInlineRecord`, `MetaPageInitRootRecord`, `MetaPageUpdateIndexDataRecord`, `MetaPageUpdateLastAllocatedIndex`, `MetaPageUpdateLastSuccessfulFullSnapshotId`, `MetaPageUpdateLastSuccessfulSnapshotId`, `MetaPageUpdateNextSnapshotId`, `MetaPageUpdatePartitionDataRecord`, `MetaPageUpdatePartitionDataRecordV2`, `MetaPageUpdatePartitionDataRecordV3`, `MetastoreDataRecord`, `NewRootInitRecord`, `PageDeltaRecord`, `PageListMetaResetCountRecord`, `PagesListAddPageRecord`, `PagesListInitNewPageRecord`, `PagesListRemovePageRecord`, `PagesListSetNextRecord`, `PagesListSetPreviousRecord`, `PageSnapshot`, `PartitionDestroyRecord`, `PartitionMetaStateRecord`, `RecycleRecord`, `RemoveRecord`, `ReplaceRecord`, `RotatedIdPartRecord`, `SplitExistingPageRecord`, `SplitForwardPageRecord`, `TrackingPageDeltaRecord`, `TrackingPageRepairDeltaRecord`

    public interface WalRecordCacheGroupAware

WAL record related to specific cache group.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `groupId()`

### Method Detail

#### groupId

    int groupId()

Returns:
  Cache group ID.